Package org.eclipse.ltk.core.refactoring

## Class GroupCategory

- java.lang.Object
- - org.eclipse.ltk.core.refactoring.GroupCategory

    public class GroupCategory
    extends Object

A group category is used to annotate change groups so that they can be identified and filtered.

Note: this class is not intended to be subclassed

Since:
  3.2
Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
`GroupCategory​(String id, String name, String description)` Creates a new group category with the given name and description.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`String` `getDescription()` Returns the description of the group category.
`String` `getName()` Returns the name of the group category.
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GroupCategory

    public GroupCategory​(String id,
                         String name,
                         String description)

Creates a new group category with the given name and description.

Parameters:
  `id` - a unique identifier
  `name` - the name
  `description` - the description

### Method Detail

#### getName

    public String getName()

Returns the name of the group category.

Returns:
  the name

#### getDescription

    public String getDescription()

Returns the description of the group category.

Returns:
  the description

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`